Subject: Re: [RFC PATCH net-next 7/8] net: dsa: mv88e6060: make it a proper PHY driver

From: Andrew Lunn <[email-masked]>
Date: Thu, 30 Apr 2015 19:02:53 +0200

> The net advantage I see with this approach is that currently, with DSA,
> you get to do the following:
> 
> - register a "dsa" platform device
> - force your CPU Ethernet MAC to hardcode link parameters, either via a
> "fixed PHY" or via custom settings (ala mv643xx_eth)
> - probing needs to occur in a *very* specific order: MDIO first,
> Ethernet device second, DSA last

I'm not sure this is true. I'm pretty sure i've seen DSA return with
-EPROBE_DEFER and try again later.

      Andrew